Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCurveRingCollection Class Reference
[MgCurveRingCollection]

MgCurveRingCollection provides support for defining an ordered set of curve rings. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgCurveRing *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all curve rings from the collection.
virtual bool | Contains (const MgCurveRing *value) const
| Returns true if the collection contains the specified curve ring, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of curve rings in the collection.
virtual MgCurveRing * | GetItem (INT32 index) const
| Gets the curve ring in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgCurveRing *value) const
| Returns the index of the specified curve ring in the collection or -1 if the curve ring does not exist.
virtual void | Insert (INT32 index, MgCurveRing *value)
| Inserts the specified curve ring at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgCurveRingCollection ()
| Construct a MgCurveRingCollection object.
virtual bool | Remove (const MgCurveRing *value)
| Removes the specified curve ring from the collection. Returns true if the curve ring was successfully removed.
virtual void | RemoveAt (INT32 index)
| Removes the curve ring at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgCurveRing *value)
| Sets the curve ring in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgCurveRingCollection provides support for defining an ordered set of curve rings.

Comments or suggestions? Send us feedback.